# GetFlushStateParam.Builder

Package io.milvus.param.control

## Class GetFlushStateParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetFlushStateParam.Builder

Enclosing class:
  GetFlushStateParam

    public static final class GetFlushStateParam.Builder
    extends java.lang.Object

Builder for `GetFlushStateParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetFlushStateParam.Builder` `addSegmentID​(@NonNull java.lang.Long segmentID)` Specify a segment
`GetFlushStateParam` `build()` Verifies parameters and creates a new `GetFlushStateParam` instance.
`GetFlushStateParam.Builder` `withSegmentIDs​(@NonNull java.util.List<java.lang.Long> segmentIDs)` Specify segments

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withSegmentIDs

    public GetFlushStateParam.Builder withSegmentIDs​(@NonNull
                                                     @NonNull java.util.List<java.lang.Long> segmentIDs)

Specify segments

Parameters:
  `segmentIDs` - segments id list
Returns:
  `Builder`

#### addSegmentID

    public GetFlushStateParam.Builder addSegmentID​(@NonNull
                                                   @NonNull java.lang.Long segmentID)

Specify a segment

Parameters:
  `segmentID` - segment id
Returns:
  `Builder`

#### build

    public GetFlushStateParam build()
                             throws ParamException

Verifies parameters and creates a new `GetFlushStateParam` instance.

Returns:
  `GetFlushStateParam`
Throws:
  `ParamException`